#!/usr/bin/python
from optparse import OptionParser
import optparse

parser = OptionParser()
parser.add_option("-b", "--befile",type="string", dest="befilename", help="BE filename", metavar="DIR",default='binding_energy.dat')
parser.add_option("-v", "--output",type="string", dest="visitedfilename", help="File to write output to",default='visited_states.txt')
(options, args) = parser.parse_args()

befile = open(options.befilename,'r')

bedict = {}
for line in befile:
    if line[0]=='#':
        continue
    stateid = int(line.split()[0])
    be = float(line.split()[1])
    bedict[stateid]=be
    
befile.close()

visitedfile = open(options.visitedfilename,'r')

be=0.
totaltime = 0.
totalbe = 0.
for line in visitedfile:
    if line[0]=='#':
        continue    
    avt = float(line.split()[1])
    stateid = int(line.split()[0])
    n = float(line.split()[2])
    
    be += bedict[stateid]*n*avt
    totaltime += avt*n

visitedfile.close()

avbe = be/totaltime
print bedict
print "Total time = ",totaltime
print "Average BE = ",avbe

visitedfile = open('visited_positions.txt','r')

totalbe=0.
totaltime = 0.
for line in visitedfile:
    if line[0]=='#':
       continue      
       
    ids = []   
    s = line.split()[7:]

    for i in s:
        stateid = i
        if stateid[0]=='[':
            stateid=stateid[1:]
        if stateid[-1]==']':
            stateid=stateid[:-1]
        if stateid[-1]==',':
            stateid = stateid[:-1]

        stateid = int(stateid)
        ids.append(stateid)   

    be = max([bedict[i] for i in ids])
    totaltime += float(line.split()[3])
    totalbe+=be* float(line.split()[3])
print "be (sb avarage) = ",totalbe/totaltime

